<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class FormController extends Controller
{
    public function index(){
        
        return view('form');
    }

    public function store(Request $request){

        $request->validate([
            'name' => 'required|min:2',
            'lastname' => 'required',
            'city' => 'required',
            'email' => 'required|email'
        ], [
            'name.required' => 'Вы не ввели имя',
            'name.min' => 'В имени должно быть минимум :min символа.',
            'lastname.required' => 'Вы не ввели фамилию', 
            'email.required' => 'Вы не ввели email',
            'email.email' => 'Неправильно введен email'
        ]);

        $data = $request->only('name', 'lastname', 'city', 'email');

        Storage::makeDirectory('datas');
        Storage::put('datas/' . uniqid() . '.json', json_encode($data));
        return back()->with('message', 'Данные сохраненны!');
    }
}